POSTeth_getTransactionReceipt

Returns the transaction receipt for the specified transaction hash.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Pass the following parameters as an array with the appropriate types.

  1. transaction hash: The transaction hash to query as a string.
params[0]string

Transaction hash is the unique identifier of a transaction. It is expressed as a 64-character hexadecimal string.

Responses
blockHashstring

Hash of the block containing this transaction

blockNumberstring

Block number containing this transaction (hex)

contractAddressstring

Contract address created if this was a contract creation transaction, otherwise null

cumulativeGasUsedstring

Total gas used in the block up to and including this transaction (hex)

effectiveGasPricestring

Actual gas price paid (hex, in wei)

fromstring

Sender address of the transaction

gasUsedstring

Gas used by this specific transaction (hex)

addressstring

The address of the contract that emitted this log

topicsstring[]

Array of event signature hash and indexed parameters (up to 4 entries)

datastring

Non-indexed event parameter data (hex encoded)

blockNumberstring

Block number containing this log (hex)

transactionHashstring

Hash of the transaction that created this log

transactionIndexstring

Transaction position index within the block (hex)

blockHashstring

Hash of the block containing this log

logIndexstring

Log position index within the block (hex)

removedboolean

True if the log was removed due to a chain reorganization

logsBloomstring

Bloom filter for event log search (2048 bits, hex)

statusstring

Transaction execution result (0x1=success, 0x0=failure)

tostring

Recipient address. Null for contract creation transactions

transactionHashstring

Transaction hash

transactionIndexstring

Transaction position index within the block (hex)

typestring

Transaction type (0x0=Legacy, 0x1=EIP-2930, 0x2=EIP-1559)

X-API-KEY
RequestCU16
cURL
curl -X POST "https://avalanche-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "eth_getTransactionReceipt",
  "params": [
    "0xda148d856aef6d77d0b76c90ef1091ffe77afe9ee9b1c6cc23f28f042f198bd8"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "blockHash": "0x7ce837c7672f469b85b0fbad0d1cc650a37e955efa43c018efb2f8624af6a772",
    "blockNumber": "0x1076b5f",
    "contractAddress": null,
    "cumulativeGasUsed": "0x125392e",
    "effectiveGasPrice": "0xa44661dc3",
    "from": "0x1f9090aae28b8a3dceadf281b0f12828e676c326",
    "gasUsed": "0x565f",
    "logs": [
      {
        "address": "0x388c818ca8b9251b393131c08a736a67ccb19297",
        "topics": [
          "0x27f12abfe35860a9a927b465bb3d4a9c23c8428174b83f278fe45ed7b4da2662"
        ],
        "data": "0x00000000000000000000000000000000000000000000000001162a2c94f37cd6",
        "blockNumber": "0x1076b5f",
        "transactionHash": "0xda148d856aef6d77d0b76c90ef1091ffe77afe9ee9b1c6cc23f28f042f198bd8",
        "transactionIndex": "0xd7",
        "blockHash": "0x7ce837c7672f469b85b0fbad0d1cc650a37e955efa43c018efb2f8624af6a772",
        "logIndex": "0x21d",
        "removed": false
      }
    ],
    "logsBloom": "0x00000000000000000000000000000000000100004000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000008000000000000000000000000000000000000000000000000000000000000000000000000000000000000200000000000000000000000000000000000000000000000000000000000000080000000000000000000000000000000000000000000000000000000000000000000000000800000000000000000000000000000000000000000000000000000000000",
    "status": "0x1",
    "to": "0x388c818ca8b9251b393131c08a736a67ccb19297",
    "transactionHash": "0xda148d856aef6d77d0b76c90ef1091ffe77afe9ee9b1c6cc23f28f042f198bd8",
    "transactionIndex": "0xd7",
    "type": "0x2"
  }
}